Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.expr
Class FunctionBase

    java.lang.Object
      org.apache.fop.fo.expr.FunctionBase

All Implemented Interfaces:
  Function

Direct Known Subclasses:
  AbsFunction, BodyStartFunction, FromParentFunction, FromTableColumnFunction, InheritedPropFunction, LabelEndFunction, MaxFunction, MinFunction, NearestSpecPropFunction, PPColWidthFunction

public abstract class FunctionBase
extends java.lang.Object
implements Function

Abstract Base class for XSL-FO functions

Constructor Summary
`FunctionBase()`

Method Summary
`PercentBase` | `getPercentBase()`
`boolean` | `padArgsWithPropertyName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.fop.fo.expr.Function
`eval, nbArgs`

Constructor Detail

### FunctionBase

    public FunctionBase()

Method Detail

### getPercentBase

    public PercentBase getPercentBase()

  Specified by:
    `getPercentBase` in interface `Function`
  Returns:
    null (by default, functions have no percent-based arguments)

### padArgsWithPropertyName

    public boolean padArgsWithPropertyName()

  Specified by:
    `padArgsWithPropertyName` in interface `Function`
  Returns:
    false (by default don't pad arglist with property-name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.